<?php
// Glide CCH Integration - Test connection to Glide

include_once("integ_funcs.php");

echo "Testing connection to Glide API\n";
echo SCRIPT_VERSION." - ".SCRIPT_DATE."\n\n";

if(!@include_once("credentials.php"))
{
	reportGeneralError("Critical error: credentials.php not found");
	reportGeneralError("You need to rename the credentials_example.php file and then enter data into the required fields.");
	die();
}

addToLog("Glide connection test started...");

// Attempt to contact Glide API
$command = "/systems/list";						// The API command that we will be using
$baseurl = $GLOBALS['glide_api_url'];					// Create the request URL
$url = $baseurl.$command."?key=".$gkey."&returnFormat=1";		// Build the URL that we will call
$ch = curl_init();							// Initiate curl
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_URL,$url);					// Set the url that we wish to call
$curl_result = curl_exec($ch);						// Execute our request (call Glide and make our request)
curl_close($ch);							// Close down cURL - as we have done what we wished to do
$array_result = array();						// PHP array to place our decoded data into
$array_result = (array)json_decode($curl_result, true);

if(isset($array_result['Status']))
{
	if($array_result['Status'] == "OK")
	{
		echo "Success: Your Glide API connection is configured correctly.\n";
		addToLog("Glide API connection test was successful");
	}
	else
	{
		reportGeneralError("Error: Glide API connection failed.");
		
		if(isset($array_result['StatusReport']))
		{
			reportGeneralError($array_result['StatusReport']);
		}		
	}
}
else
{
	reportGeneralError("Error: No response from Glide API. Check Internet connection.");
}

echo "\nEnd of test\n";
?>
