<?php
// Glide CCH Integration - Test connection to MS SQL Server

include_once("integ_funcs.php");

echo "Testing connection to SQL Server\n";
echo SCRIPT_VERSION." - ".SCRIPT_DATE."\n\n";

if(!@include_once("credentials.php"))
{
	reportGeneralError("Critical error: credentials.php not found");
	reportGeneralError("You need to rename the credentials_example.php file and then enter data into the required fields.");
	die();
}

addToLog("SQL Server connection test started...");

$db2 = null;

try
{
	echo "Attempting to connect to MS SQL Server...\n";
	$db2 = new PDO("sqlsrv:server=".$GLOBALS['sql_servername']." ; Database=".$GLOBALS['sql_dbase'],$GLOBALS['sql_user'],$GLOBALS['sql_password']);
	$db2->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
}
catch(PDOException $e)
{
	reportGeneralError($e->getMessage());
	$db2 = null;
	reportGeneralError("The SQL Server connection test has failed - please check your SQL Server configuration");
	die();
}

// If connection is active...
if($db2)
{
	echo "Success: The connection appears to be active\n";
	addToLog("SQL Server connection test was successful");
}

echo "\nEnd of test\n";

?>
