<?php

define('SCRIPT_VERSION', '1.1.0');
define('SCRIPT_DATE', 'November 2021');

define('TIMEZONE', 'Europe/London');
date_default_timezone_set(TIMEZONE);
error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

ini_set("error_log", "syslog");
ini_set("display_errors", 1);
ini_set("log_errors", 1);


// Set log default
$GLOBALS['script_log'] = "log.txt";

/**
 * Add text to the log file 
 */
function addToLog($str)
{
	$fp = fopen($GLOBALS['script_log'], 'a');
	$dt = date('Y-m-d H:i:s');
	fwrite($fp, $dt.": ".$str."\n");
	fclose($fp);
}

/**
 * Give the user information that may be of value
 */
function reportInfo($e)
{
	// Output to console
	echo $e."\n";

	// Also save to log file
	addToLog("Info: ".$e."\n");

	return;
}

/**
 * Warn the user of something that while not critical does need to be considered
 */
function reportGeneralWarning($e)
{
	// Output to console
	echo "Warning: ".$e."\n";

	// Also save to log file
	addToLog("Warning: ".$e."\n");

	return;
}

/**
 * Report a critical error that will halt the script
 */
function reportGeneralError($e)
{
	// Output to console
	echo "**ERROR**: ".$e."\n";
	
	// Also save to log file
	addToLog("**ERROR**: ".$e."\n");

	return;
}


?>
